List dialects
curl --request GET \
--url https://api.tryhamsa.com/v2/tts/dialects \
--header 'Authorization: <api-key>'import requests
url = "https://api.tryhamsa.com/v2/tts/dialects"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.tryhamsa.com/v2/tts/dialects', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "Operation completed successfully",
"messageKey": "OPERATION_SUCCESSFUL",
"data": [
{
"id": "145a7af6-3614-4bb2-be5d-702000d459ab",
"name": "Lebanon",
"language": "ar",
"languageCode": "leb"
}
]
}{
"success": false,
"code": 500,
"message": "Internal server error"
}Voice Cloning
List dialects
Retrieve available dialects for TTS voices.
GET
/
v2
/
tts
/
dialects
List dialects
Authorizations
Pass the API key in the Authorization header, You need to put Token keyword before the API key. e.g. 'Authorization: Token '
Query Parameters
Project identifier.
Example:
"ae6d58c6-c6bd-4ae0-ad74-b8b39c29928b"
Was this page helpful?
⌘I